−

Get File/Folder External Share Links

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of all external share links created for a file/folder.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/links

Copy full URL

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/links \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/links"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

resource_idstring(Required)

The unique ID of the file/folder.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Optional)

To filter by link type.

Eg. filter[type]=download

For list of filter type, see Link filter in Filters page, refer here

Allowed Values :
Show Values ▾
customCopied!
downloadCopied!
Copied!Copy all as JSON Array

Response Example

R007

R007

R004

R010

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "3iWUoMURXKC-OCgNc",
        "type": "links",
        "attributes": {
          "modified_time_i18": "Apr 13, 1:16 PM",
          "created_time": "Apr 13, 1:16 PM",
          "file_name": "Notes",
          "link": "https://workdrive.zohoexternal.com/external/3iWUoMURXKC-OCgNc",
          "input_fields": [],
          "type": "folder",
          "can_display_profile": false,
          "created_by": "Zylker Creation",
          "use_shorten_link": false,
          "created_time_i18": "Apr 13, 1:16 PM",
          "allow_download": true,
          "request_user_data": false,
          "link_type": "custom",
          "modified_time": "Apr 13, 1:16 PM",
          "is_expired": false,
          "role_id": 34,
          "download_url": "https://workdrive.zohoexternal.com/external/3iWUoMURXKC-OCgNc/download",
          "is_password_protected": false,
          "modified_by": "Zylker Creation",
          "resource_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
          "created_time_in_millis": 1618299960679,
          "link_name": "notes",
          "modified_time_in_millis": 1618299960679,
          "status": 1
        },
        "relationships": {
          "password": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/password",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/password"
            }
          },
          "report": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/report",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/report"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/timeline"
            }
          },
          "register": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/register",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/register"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R010",
        "title": "Invalid parameter"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.